# Skein

Skein is a library for efficiently simulating Keplerian astrodynamics. 

## Particles

Kepler models orbiting bodies as particles. Particles are zero-dimensional objects which can be on elliptical orbits around other particles. The orbited particle is assumed to make up the overwhelming majority of the mass of the combined two-object system.

# Compiling

## Windows

Install GLFW 3.3.8
https://www.glfw.org/download.html
Install GLEW 2.2.0
https://github.com/nigels-com/glew/releases/tag/glew-2.2.0

extract the downloaded .zip files to "C:/libs"; this is currently expected
by our CMakeLists.txt.

Install CMake
https://cmake.org/download
Add to PATH for all users
from project root:
mkdir build
cd build
cmake ..
cmake --build .
The last step compiles the executable - this can also be done from Visual
Studio

### To run in VS

Set startup project in Solution Explorer
Press F5 to run

## To run in VSCode
https://code.visualstudio.com/docs/cpp/config-mingw

## Arch Linux

Install dependencies
sudo pacman -S glfw mesa glew

Build
cd build
cmake ..
cmake --build .


