#pragma once

#include <skein/orbit.h>

#include <string>

class Particle
{
public:
    Particle(const std::string& id, double mass);
    Particle(const Particle& other);
    ~Particle() = default;

    const std::string& getId() const;
    double getMass() const;
    double getGravitationalParameter() const;

private:
    const std::string _id;
    const double _mass;
};
